Bug 1008799 - Review Request: python-beanstalkc - A simple beanstalkd client library for Python
Review Request: python-beanstalkc - A simple beanstalkd client library for Py...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 02:08 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-beanstalkc-0.3.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-09-17 02:08:22 EDT
Spec URL: https://bitbucket.org/dhiru/packages/raw/master/python-beanstalkc/python-beanstalkc.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/python-beanstalkc/python-beanstalkc-0.3.0-1.fc19.src.rpm

Description: beanstalkc is a simple beanstalkd client library for Python. beanstalkd is a fast, distributed, in-memory workqueue service.

Fedora Account System Username: halfie

Koji Link: http://koji.fedoraproject.org/koji/taskinfo?taskID=5943933
Comment 1 Parag AN(पराग) 2013-09-17 02:50:55 EDT
+ is ok
- is needs attention

Review:

+ Package builds find in mock rawhide

- rpmlint on rpms gave
python-beanstalkc.src: W: spelling-error Summary(en_US) beanstalkd -> beanstalks, beanstalk, beanstalk d
python-beanstalkc.src: W: spelling-error %description -l en_US beanstalkd -> beanstalks, beanstalk, beanstalk d
python-beanstalkc.src: W: spelling-error %description -l en_US workqueue -> work queue, work-queue, workhouse
python-beanstalkc.noarch: W: spelling-error Summary(en_US) beanstalkd -> beanstalks, beanstalk, beanstalk d
python-beanstalkc.noarch: W: spelling-error %description -l en_US beanstalkd -> beanstalks, beanstalk, beanstalk d
python-beanstalkc.noarch: W: spelling-error %description -l en_US workqueue -> work queue, work-queue, workhouse
python-beanstalkc.noarch: W: no-documentation
python-beanstalkc.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/beanstalkc.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 7 warnings.

==> Fix non-executable-script error by adding at the end of %prep section
sed -i -e '/^#!\//, 1d' beanstalkc.py

+ Source verified with upstream as (sha256sum)
srpm tarball     : 45c3915ed876f80712fcafadee0feaaf0628e5c297e33aaea7f7b229deb80467
upstream tarball : 45c3915ed876f80712fcafadee0feaaf0628e5c297e33aaea7f7b229deb80467

+ License is valid and included in actual source file header

APPROVED.
Comment 3 Dhiru Kholia 2013-09-17 09:00:54 EDT
New Package SCM Request
=======================
Package Name: python-beanstalkc
Short Description: A simple beanstalkd client library for Python
Owners: halfie
Branches: f19 f20
InitialCC: paragn
Comment 4 Gwyn Ciesla 2013-09-17 09:17:18 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-17 10:20:38 EDT
python-beanstalkc-0.3.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-beanstalkc-0.3.0-2.fc19
Comment 6 Fedora Update System 2013-09-18 09:04:32 EDT
python-beanstalkc-0.3.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-09-26 20:38:14 EDT
python-beanstalkc-0.3.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.